unit cde_DriveAdderForm;
{$mode delphi}
{$codepage UTF8}
interface
uses Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics,
     Dialogs, StdCtrls;
type
  { Tcde_DriveAdderFrm }
  Tcde_DriveAdderFrm = class(TForm)
    CancelBtn: TButton;
    SelectBtn: TButton;
    DriveList: TComboBox;
    procedure FormCreate(Sender: TObject);
    procedure SelectBtnClick(Sender: TObject);
  private
  public
  end;
var
  cde_DriveAdderFrm: Tcde_DriveAdderFrm;
implementation
uses cde_LinkCreatorForm, kernel;
{ Tcde_DriveAdderFrm }
procedure Tcde_DriveAdderFrm.SelectBtnClick(Sender: TObject);
var i: Integer;
begin
if cde_LinkCreatorFrm.DrivesBox.Items.Count > 0 then
 for i:= 0 to cde_LinkCreatorFrm.DrivesBox.Items.Count - 1 do
  if cde_LinkCreatorFrm.DrivesBox.Items.Strings[i] = DriveList.Items.Strings[DriveList.ItemIndex] then
   begin
   //ShowMessageBox(GetLocalStrA(19), MB_ICONWARNING, MB_OK);
   Abort;
   end;
cde_LinkCreatorFrm.DrivesBox.ItemIndex:= cde_LinkCreatorFrm.DrivesBox.Items.Add(DriveList.Items.Strings[DriveList.ItemIndex][1]);
ModalResult:= mrOK;
end;
procedure Tcde_DriveAdderFrm.FormCreate(Sender: TObject);
begin
//UpdateDL(DriveList);
end;
initialization
{$R *.lfm}
end.
